using System;

namespace Kvalifikacije2
{
    class Program
    {
        static void Main(string[] args)
        {
            var s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int[] karte = new int[n];
            var s2 = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                karte[i] = int.Parse(s2[i]);
            }
            for (int i = 0; i < n; i++)
            {
                if (karte[i] == k)
                {
                    if (i + 1 < n)
                    {
                        Console.WriteLine(karte[i + 1]);
                    }
                    else
                    {
                        Console.WriteLine(karte[0]);
                    }
                }
            }
        }
    }
}